var vm = new Vue({
	el: ".content",
	data: {
		flowers: [],
		bookdata: "",
		mark: '',
		pingfen: '',
		data: "",
		state: ""
	},
	updated: function() {
		$(".bookshelf").on("tap", function() {
			var self = $(this)
			common.ajax("teacher/book/shelf/add", {
				uid: common.uid,
				token: common.token,
				bookUid: $(this).attr("uid")
			}, function(data) {
				if(data.code == 200) {
					var list = plus.webview.getWebviewById("../stacks/bookshelfs.html");
					mui.fire(list, 'refresh');
					var txst = plus.webview.getWebviewById("../readingplan/joinreading.html");
					mui.fire(txst, 'refresh');
					self.text("已添加")
					self.addClass("truebookshelf")
					mui.toast("添加成功!!!")
				} else {
					mui.toast(data.message)
				}
			})
		})
	}
})

if(localStorage.getItem("state") == "true") {
	vm.state = true
} else {
	vm.state = false
}
Vue.use(VueLazyload, {
	preLoad: 1.3,
	error: '../../imges/234848834541900358.png',
	loading: '../../imges/234848834541900358.png'
});
//打开评论
mui.plusReady(function() {
	var self = plus.webview.currentWebview();
	// 读取传递过来的参数
	var id = self.parameterid;

	$(".translate").on("tap", function() {
		common.open('comment.html', 'comment.html', id)
	})

	mui.init({
		pullRefresh: {
			container: '#pullrefresh',
			up: {
				contentrefresh: '正在加载...',
				callback: pullupRefresh
			}
		}
	});
	common.ajax('teacher/bookCity/' + id, {
		token: common.token,
		uid: common.uid,
	}, function(data) {
		//		console.log(JSON.stringify(data))
		if(data.code == 200) {
			vm.bookdata = data.data
			if(String(data.data.mark).indexOf(".") != -1) {
				vm.pingfen = true
			}
			vm.mark = Math.floor(data.data.mark)
			vm.data = data.data
			joinissue()
		} else {
			mui.toast(data.message)
		}
	})
	var temp = 1
	/**
	 * 下拉刷新具体业务实现
	 */
	//	function pulldownRefresh() {
	//		setTimeout(function() {
	//			mui('#pullrefresh').pullRefresh().endPulldownToRefresh(); //refresh completed
	//		}, 300);
	//	}
	/**
	 * 上拉加载具体业务实现
	 */
	var kaiGuan = false

	function pullupRefresh() {
		if(kaiGuan) {
			return
		}
		kaiGuan = true
		common.ajax("book/queryBookComment", {
			uid: common.uid,
			token: common.token,
			bookUid: id,
			page: temp++,
			pageSize: 8
		}, function(data) {
			kaiGuan = false
			if(data.code == 200) {
				//				console.log(data)
				if(!data.data.hasNextPage) {
					mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
				} else {
					mui('#pullrefresh').pullRefresh().endPullupToRefresh();
				}
				for(var i = 0; i < data.data.list.length; i++) {
					vm.flowers.push(data.data.list[i])
				}
				if(temp == 2) {
					mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
				}
			} else {
				mui.toast(data.message)
			}
			//参数为true代表没有更多数据了。
		}, "get")
	}

	if(mui.os.plus) {

		setTimeout(function() {
			mui('#pullrefresh').pullRefresh().pullupLoading();
		}, 300);

	} else {
		mui.ready(function() {
			mui('#pullrefresh').pullRefresh().pullupLoading();
		});
	}

})

function joinissue() {
	var addbook = JSON.parse(localStorage.getItem('books')) || []
	$.each(addbook, function(index, id) {
		if(id.bookid == vm.data.id) {
			$(".joinissue").text("已添加到计划")
			$(".joinissue").addClass("truebookshelf")
			$(".joinissue").removeClass("joinissue")
		}
	})
	$(document).on("tap", ".joinissue", function() {
		var addbook = JSON.parse(localStorage.getItem('books')) || []
		var obj = {}
		var temp = []
		obj.bookid = vm.data.id
		obj.booksrc = vm.data.bookPic
		obj.bookname = vm.data.bookName

		if(addbook == "") {
			addbook.push(obj)
		} else {
			for(var i = 0; i < addbook.length; i++) {
				temp.push(addbook[i].bookid)
			}
			if(temp.indexOf(obj.bookid) == -1) {
				addbook.push(obj)
			}
		}

		$(this).text("已添加到计划")
		$(this).addClass("truebookshelf")
		$(this).removeClass("joinissue")
		localStorage.setItem("books", JSON.stringify(addbook))
		var list = plus.webview.currentWebview("joinreading.html").opener();
		mui.fire(list, 'joinreading');
	})
}

$(document).on("tap", ".purchase", function() {
	if($(this).attr("href") == '') {
		mui.toast("该商品路径不对!!")
		return
	}
	/*common.open("microShop.html","microShop.html",$(this).attr("href"))*/
	mui.openWindow({
		id: "microShop.html",
		url: 'microShop.html',
		extras: {
			url: $(this).attr("href")
		}
	});
})
var mask = mui.createMask(hide)
window.addEventListener('refreshs', function(e) { //执行刷新
	mask.show()
});
window.addEventListener('hide', function(e) { //执行刷新
	mask.close()
});

function hide() {
	var list = plus.webview.getWebviewById('../bookdetails/details.html');　　　　 //触发父页面的自定义事件(refresh),从而进行刷新
	mui.fire(list, 'hide');
}