(function() {
	window.common = {
		init: function() {
			//			http://192.168.0.112:8080/swagger-ui.html
			//			common.urls = 'http://192.168.0.130:9000/api/'
			//			common.urls = 'http://112.74.17.151:9000/api/'
			common.urls = 'http://api.yiqiyuedu.cn/api/'
			//			common.urls = 'http://192.168.0.126:80/api/'
			common.data = JSON.parse(localStorage.getItem("data"))
			if(common.data == null) {
				return
			}
			common.uid = common.data.uid
			common.token = common.data.token
			//苹果不会知道失去焦点
			var isIPHONE = navigator.userAgent.toUpperCase().indexOf('IPHONE') != -1;
			if(isIPHONE) {
				$("html").on('tap', function() {
					var inp = document.getElementsByTagName("input")
					for(var i = 0; i < inp.length; i++) {
						inp[i].blur()
					}
				});
			}
		},
//		tiken过期自动获取，应该没用了
		getToken: function() {
			common.ajax('/getToken', {
				'uid': common.uid
			}, function(data) {
				if(data.code == 200) {
					localStorage.setItem("token", data.data.token)
					common.token = data.data.token;
				}
			});
		},
		//ajax请求
		ajax: function(url, deta, callback, type) {
			mui.ajax(common.urls + url, {
				data: deta,
				dataType: 'json', //服务器返回json格式数据
				type: type || 'post', //HTTP请求类型
				timeout: 10000, //超时时间设置为10秒；
				beforeSend: function() {
					var txt = '<div class="sk-body"> <div class="sk-fading-circle"><div class="sk-circle2 sk-circle"></div> <div class="sk-circle3 sk-circle"></div><div class="sk-circle4 sk-circle"></div><div class="sk-circle5 sk-circle"></div><div class="sk-circle6 sk-circle"></div><div class="sk-circle7 sk-circle"></div><div class="sk-circle8 sk-circle"></div><div class="sk-circle9 sk-circle"></div><div class="sk-circle10 sk-circle"></div> <div class="sk-circle11 sk-circle"></div><div class="sk-circle12 sk-circle"></div></div></div>'
					$("body").append(txt)
					$(".sk-body").eq(0).css("display", "block")
					$("body").css({
						"pointer-events": "none"
					})
				},
				complete: function() {
					$("body").css({
						"pointer-events": "inherit"
					})
					$(".sk-body").remove()
				},
				success: function(data) {
					//处理token过期
					if(data.code == 4001) {
						mui.toast("网络异常,请重新打开！");
						common.getToken();
						//						common.ajax(url, deta, callback, type)
					} else if(data.code == 4002 || data.code == 4003) {

						mui.plusReady(function() {
							localStorage.removeItem("data")
							var wvs, self, launch;
							wvs = plus.webview.all();
							self = plus.webview.currentWebview();
							launch = plus.webview.getLaunchWebview();
							for(var i = 0, len = wvs.length; i < len; i++) {
								if(wvs[i].getURL() == self.getURL() || wvs[i].getURL() == launch.getURL()) {
									continue;
								}
								wvs[i].close();
							}
							plus.storage.clear();
							self.close();
							plus.webview.open('/html/loginregistration/login.html', 'login.html')
						})
					} else {
						callback(data)
					}

				},
				error: function(type) {
					mui.toast("网络异常")
				}
			});
		},
		//获取光标(标签,插入的标签)
		focu: function(selector, inserttag) {
			$(selector).on("focus", function() {
				$(this).addClass(inserttag)
			})
			$(selector).on("blur", function() {
				$(selector).removeClass(inserttag)
			})
		},
		//倒计时
		//countdown(标签,到数时间,背景颜色,到数完的背景颜色)
		countdown: function(selector, time, countdowncolor, color, texts) {
			var temp = time;
			jishi()

			function jishi() {
				if(temp >= 0) {
					$(selector).text(temp + "秒")
					$(selector).css({
						"background": countdowncolor,
						"pointer-events": "none"
					})
					setTimeout(jishi, 1000)
				} else {
					$(selector).css({
						"background": color,
						"pointer-events": "inherit"
					})
					$(selector).text(texts)
				}
				temp--
			}
		},
		//打开页面，urls，id，temp，urls是路径，id是你要从别的页面操作这个页面的id，temp是传参
		open: function(urls, id, temp) {
			mui.openWindow({
				url: urls,
				id: id,
				extras: {
					parameter: temp
				},
				waiting: {
					autoShow: false, //自动显示等待框，默认为true
					//					title: '...',
					options: {

					}
				}
			});
		},
		//这个是获取的div页面跳转
		clsopen: function() {
			$(".clsopen").on("tap", function() {
				if($(this).attr("href") == "" || $(this).attr("href") == null) {
					return
				}
				common.open($(this).attr("href"), $(this).attr("href"), "")
			})
		}
	}
	common.init()
	mui.plusReady(function() {
		plus.screen.lockOrientation("portrait-primary");
	});
})()