mui.init()
var bookshelf = new Vue({
	el: '.main',
	data: {
		cls: [],
		booksl: [],
		pingfen: [],
		trues: [],
		texts: []
	},
	updated: function() {
		$(".mainclass").on("tap", function(e) {
			if(!$(e.target).is('button')) {
				common.open("../bookdetails/details.html", "../bookdetails/details.html", $(this).attr("bookuid"))
			}
		})

	}

});
Vue.use(VueLazyload, {
	preLoad: 1.3,
	error: '../../imges/234848834541900358.png',
	loading: '../../imges/234848834541900358.png'
});
var mask = mui.createMask(reduction)
$(".select").on("tap", ".mui-btn", function() {
	mask.show()
	var index = $(this).index()
	reduction()
	if($(".genre").eq(index).height() != 0) {
		mask.close()
		return
	}
	var height = $(".genre").eq(index).find("div").eq(0).height() * $(".genre").eq(index).find("div").length
	$(".genre").eq(index).css("height", height)
	$(".down").eq(index).css("transform", "rotate(180deg)")
	$(this).find("div").css({
		"color": "#40CC8B",
		"border-top-color": "#40CC8B"
	})
})

function reduction() {
	$(".genre").css("height", 0)
	$(".down").css("transform", "rotate(0deg)")
	$(".select").find("div").css({
		"color": "#333",
		"border-top-color": "#333"
	})
}
$(".typemain .popular").on("tap", "div", function() {
	$(this).parents(".typemain").prev().find(".selectiontype").eq(1).attr("uid", $(this).attr('uid'))
})

common.ajax("book/category", {
	uid: common.uid,
	token: common.token
}, function(data) {
	if(data.code == 200) {
		bookshelf.cls = data.data
	} else {
		mui.toast(data.message)
	}
})

var temp = 1

$(".genre").on("tap", "div", function() {
	var parent = $(this).parent().index()
	reduction()
	mask.close()
	$(".selectiontype").eq(parent).text($(this).text())
	bookshelf.trues = []
	bookshelf.booksl = []
	bookshelf.pingfen = []
	var grad = $(".selectiontype").eq(0).text() == "全年级" ? "" : $(".selectiontype").eq(0).text()
	var types = $(".selectiontype").eq(1).attr("uid") == null ? "" : $(".selectiontype").eq(1).attr("uid")
	temp = 1
	common.ajax('teacher/bookCity/recommend', {
		uid: common.uid,
		token: common.token,
		grade: grad,
		type: types,
		page: temp++,
		pageSize: "8"

	}, function(data) {
		if(data.code == 200) {
			//激活下拉刷新
			mui('#offCanvasContentScroll').pullRefresh().refresh(true);
			datafor(data)
			if(!data.data.hasNextPage) {
				$(".mui-pull-bottom-pocket").css("visibility", "inherit")
				$(".mui-pull").text("已经没有更多了")
				mui('#offCanvasContentScroll').pullRefresh().endPullupToRefresh(true)
			}
			bookshelf.$nextTick(function() {
				add()
				toggle()
			})
		} else {
			mui.toast(data.message)
		}
	})
})

mui.init({
	pullRefresh: {
		container: '#offCanvasContentScroll',
		up: {
			contentrefresh: '正在加载...',
			callback: pullupRefresh
		}
	}
});
/**
 * 下拉刷新具体业务实现
 */
//function pulldownRefresh() {
//	向上添加
//	var grad = $(".selectiontype").eq(0).text() == "全年级" ? "" : $(".selectiontype").eq(0).text()
//	var types = $(".selectiontype").eq(1).attr("uid") == null ? "" : $(".selectiontype").eq(1).attr("uid")
//	mui.ajax('http://112.74.17.151:8090/api/book/recommend', {
//		data: {
//			uid: common.uid,
//			token: common.token,
//			grade: grad,
//			type: types,
//			page: 1,
//			pageSize: "8"
//		},
//		dataType: 'json',
//		type: 'post', //HTTP请求类型
//		timeout: 10000, //超时时间设置为10秒；
//		complete: function() {
//			mui('#offCanvasContentScroll').pullRefresh().endPulldownToRefresh()
//		},
//		success: function(data) {
//			if(data.code == 200) {
//				for(var i = 0; i < data.data.list.length; i++) {
//					if(String(data.data.list[i].mark).indexOf(".") != -1) {
//						bookshelf.trues.unshift("scoring_two")
//					} else {
//						bookshelf.trues.unshift("")
//					}
//					bookshelf.booksl.unshift(data.data.list[i])
//					bookshelf.pingfen.unshift(Math.floor(data.data.list[i].mark))
//				}
//			} else {
//				mui.toast(data.message)
//			}
//		},
//		error: function(xhr, type, errorThrown) {
//			mui.toast("网络异常");
//		}
//	})
/*
	setTimeout(function() {
		mui('#offCanvasContentScroll').pullRefresh().endPulldownToRefresh()
	}, 400)

}*/
/**
 * 上拉加载具体业务实现
 */
function pullupRefresh() {
	var self = this
	var grad = $(".selectiontype").eq(0).text() == "全年级" ? "" : $(".selectiontype").eq(0).text()
	var types = $(".selectiontype").eq(1).attr("uid") == null ? "" : $(".selectiontype").eq(1).attr("uid")
	common.ajax('teacher/bookCity/recommend', {
		uid: common.uid,
		token: common.token,
		grade: grad,
		type: types,
		page: temp++,
		pageSize: "8"
	}, function(data) {
		if(data.code == 200) {
			mui('#offCanvasContentScroll').pullRefresh().refresh(true);
			if(!data.data.hasNextPage) {
				mui('#offCanvasContentScroll').pullRefresh().endPullupToRefresh(true)
			} else {
				mui('#offCanvasContentScroll').pullRefresh().endPullupToRefresh()
			}
			datafor(data)

			bookshelf.$nextTick(function() {
				toggle()
			})
		} else {
			mui.toast(data.message)
		}
	})
}

$('.recommend', window.parent.document).on("tap", function() {
	if($(this).hasClass("mui-active")) {
		return
	}
	temp = 1
	bookshelf.trues = []
	bookshelf.booksl = []
	bookshelf.pingfen = []
	shauxin()
})
setTimeout(function() {
	shauxin()
}, 300)

function shauxin() {
	if(mui.os.plus) {
		mui.plusReady(function() {
			setTimeout(function() {
				mui('#offCanvasContentScroll').pullRefresh().pullupLoading();
			}, 10);

		});
	} else {
		mui.ready(function() {
			mui('#offCanvasContentScroll').pullRefresh().pullupLoading();
		});
	}
}

function datafor(data) {
	for(var i = 0; i < data.data.list.length; i++) {
		if(String(data.data.list[i].mark).indexOf(".") != -1) {
			bookshelf.trues.push("scoring_two")
		} else {
			bookshelf.trues.push("")
		}
		bookshelf.booksl.push(data.data.list[i])
		bookshelf.pingfen.push(Math.floor(data.data.list[i].mark))
	}
}

function toggle() {
	add()
	var kaiguan = false
	$(".addajax").on("tap", function(e) {
		if(kaiguan) {
			return
		} else if($(this).hasClass("added")) {
			return
		}
		var self = $(this)
		kaiguan = true
		common.ajax("teacher/book/shelf/add", {
			uid: common.uid,
			token: common.token,
			bookUid: $(this).parents(".mainclass").attr("bookuid")
		}, function(data) {
			if(data.code == 200) {
				//					mui.toast("添加成功")
				kaiguan = false
				self.addClass("added")
				self.text("已添加")
				self.removeClass("addajax")
			} else {
				mui.toast(data.message)
				kaiguan = false
			}
		})
		e.stopPropagation()
	})
}
$(document).on("tap", ".toggle", function(e) {
	var addbook = JSON.parse(localStorage.getItem('books')) || []
	if($(this).hasClass("add")) {
		$(this).addClass("added")
		$(this).text("已添加")
		$(this).removeClass("add")

		var temp = []
		var obj = {}
		var self = $(this)
		obj.bookid = self.parents(".mainclass").attr("bookid")
		obj.booksrc = self.parents(".mainclass").find("img").attr("src")
		obj.bookname = self.parents(".mainclass").find(".title_name").text()

		addbook.push(obj)
		localStorage.setItem('books', JSON.stringify(addbook))
	} else {

		$(this).addClass("add")
		$(this).text("添加")
		$(this).removeClass("added")
		for(var i = 0; i < addbook.length; i++) {
			if(addbook[i].bookid == $(this).parents(".mainclass").attr("bookid")) {
				addbook.splice(i, 1)
			}
		}
		localStorage.setItem('books', JSON.stringify(addbook))
	}
	mui.fire(plus.webview.getWebviewById("joinreading.html"), 'bookaddnum');
	mui.fire(plus.webview.getWebviewById("addrecommend.html"), 'toggleremoveClass');
	mui.fire(plus.webview.getWebviewById("addnominate.html"), 'toggleremoveClass');
	mui.fire(plus.webview.getWebviewById("addhotbooks.html"), 'toggleremoveClass');
	mui.fire(plus.webview.getWebviewById("addmybookshelf.html"), 'toggleremoveClass');
	e.stopPropagation()
	return false
})

function add() {
	$(".mainclass").find(".toggle").addClass("add")
	$(".mainclass").find(".toggle").removeClass("added")
	$(".mainclass").find(".toggle").text("添加")
	var addbook = JSON.parse(localStorage.getItem('books')) || []
	$.each(addbook, function(index, id) {
		$.each($(".mainclass"), function(e, i) {
			if($(this).attr("bookid") == id.bookid) {
				$(this).find(".add").addClass("added")
				$(this).find(".add").text("已添加")
				$(this).find(".add").removeClass("add")
			}
		})
	})
}
window.addEventListener('toggleremoveClass', function(e) { //执行刷新
	add()
});