mui.init({
	gestureConfig: {
		longtap: true, //默认为false
	}
});
var bookshelf = new Vue({
	el: '.mui-content',
	data: {
		cls: [],
		booksl: [],
		pingfen: [],
		trues: [],
		books: []
	},
	updated: function() {
		var kaiguan = false
		$(".add").on("tap", function(e) {
			if(kaiguan) {
				return
			}
			var self = $(this)
			kaiguan = true
			common.ajax("teacher/book/shelf/add", {
				uid: common.uid,
				token: common.token,
				bookUid: $(this).parents(".mainclass").attr("booksuid")
			}, function(data) {
				if(data.code == 200) {
					//					mui.toast("添加成功")
					kaiguan = false
					self.addClass("added")
					self.text("已添加")
				} else {
					mui.toast(data.message)
					kaiguan = false
				}
			})
			e.stopPropagation()
		})
		$(".mainclass").on("tap", function() {
			common.open("../bookdetails/details.html", "", $(this).attr("booksuid"))
		})
		$(".bookddatas").on("tap", function() {
			common.open("../bookdetails/details.html", "", $(this).attr("bookUid"))
		})
		$(".bookddatas").on("longtap", function() {
			heid()
			$(this).find(".remove").css("display", "block")
			$(this).find(".remove_text").css("display", "block")
		})
		$(".remove_text").on("tap", function(e) {
			var self = $(this)
			common.ajax("teacher/book/shelf/delete", {
				uid: common.uid,
				token: common.token,
				bookUid: self.parents(".bookddatas").attr("bookuid")
			}, function(data) {
				if(data.code == 200) {
					heid()
					self.parents(".bookddatas").remove()
					//					mui.toast("成功删除")
					if($(".bookddatas").length == 0) {
						$(".iframe").css("display", "block")
						$(".iframe_main").css("display", "none")
					}
				} else {
					mui.toast(data.message)
				}
			})
			e.stopPropagation()
		})
		$(".remove").on("tap", function(e) {

			heid()
			e.stopPropagation()
		})
		$("body").on("tap", function() {
			heid()
		})
	}
});

function heid() {
	$(".remove").css("display", "none")
	$(".remove_text").css("display", "none")
}

(function($) {
	mui('.mui-slider').slider().setStopped(true);
})(mui);

$(".mui-control-content").css("min-height", $(window).height() - 50)
$(".mui-backdrop").css("min-height", $(window).height() - 50)
$(".select").on("tap", ".mui-btn", function() {
	reduction()
	$(".mui-backdrop").css("display", "block")
	var index = $(this).index()
	var danqian = $(this).parents(".selects").find(".genre").eq(index)
	var down = $(this).parents(".selects").find(".down").eq(index)
	var height = danqian.find("div").eq(0).height() * danqian.find("div").length
	if(danqian.height() != 0) {
		reduction()
		return
	}
	down.css("transform", "rotate(180deg)")
	danqian.css("height", height).siblings().height(0)
	$(this).find("div").css({
		"color": "#40CC8B",
		"border-top-color": "#40CC8B"
	})
})

$(".genre").on("tap", "div", function() {
	var parent = $(this).parent().index()
	reduction()
	$(this).parents(".selects").find(".selectiontype").eq(parent).text($(this).text())
})

$(".typemain .popular").on("tap", "div", function() {
	$(this).parents(".selects").find(".selectiontype").attr("uid", $(this).attr('uid'))
})

function reduction() {
	$(".genre").css("height", 0)
	$(".down").css("transform", "rotate(0deg)")
	$(".select").find("div").css({
		"color": "#333",
		"border-top-color": "#333"
	})
	$(".mui-backdrop").css("display", "none")
}
$(".mui-backdrop").on("tap", function() {
	reduction()
})
$("#sliderSegmentedControl").on("tap", ".mui-control-item", function() {
	reduction()
})
document.querySelector('.mui-slider').addEventListener('slide', function(event) {
	reduction()
});

common.ajax("book/category", {
	uid: common.uid,
	token: common.token
}, function(data) {
	if(data.code == 200) {
		bookshelf.cls = data.data
	} else {
		mui.toast(data.message)
	}
})
var switchs = true
var temp = 1
$("#shucheng").on("tap", function() {
	var grad = $("#item3mobile").find(".selectiontype").eq(0).text() == "全年级" ? "" : $("#item3mobile").find(".selectiontype").eq(0).text()
	var types = $("#item3mobile").find(".selectiontype").eq(1).attr("uid") == null ? "" : $("#item3mobile").find(".selectiontype").eq(1).attr("uid")
	shuajax(grad, types, "1", "8", 'teacher/bookCity/bookList')
})

$("#mingshi").on("tap", function() {
	var grad = $("#item2mobile").find(".selectiontype").eq(0).text() == "全年级" ? "" : $("#item2mobile").find(".selectiontype").eq(0).text()
	var types = $("#item2mobile").find(".selectiontype").eq(1).attr("uid") == null ? "" : $("#item2mobile").find(".selectiontype").eq(1).attr("uid")
	shuajax(grad, types, "1", "8", 'teacher/bookCity/recommend')
})

function shuajax(grade, type, page, pageSize, url) {
	bookshelf.trues = []
	bookshelf.booksl = []
	bookshelf.pingfen = []
	$(".mui-pull-loading").text("上拉显示更多")
	common.ajax(url, {
		uid: common.uid,
		token: common.token,
		grade: grade,
		type: type,
		page: page,
		pageSize: pageSize
	}, function(data) {
		if(data.code == 200) {
			//			console.log(data)
			temp = 1
			datafor(data)
			if(data.data.hasNextPage) {
				$(".mui-pull-loading").text("上拉显示更多")
				switchs = true
			} else {
				$(".mui-pull-loading").text("已经没有更多了")
				switchs = false
			}
		} else {
			mui.toast(data.message)
		}
	})
}
var deceleration = mui.os.ios ? 0.003 : 0.0009;
mui('.mui-scroll-wrapper').scroll({
	bounce: false,
	indicators: true, //是否显示滚动条
	deceleration: deceleration
});
mui.ready(function() {
	//循环初始化所有下拉刷新，上拉加载。
	mui.each(document.querySelectorAll('.itemmobile .mui-scroll'), function(index, pullRefreshEl) {
		mui(pullRefreshEl).pullToRefresh({
			down: {
				callback: function() {
					this.endPullDownToRefresh();
				}
			},
			up: {
				callback: function() {
					++temp
					var urls = 'teacher/bookCity/recommend'
					var grad = $(".itemmobile").eq(index).find(".selectiontype").eq(0).text() == "全年级" ? "" : $(".itemmobile").eq(index).find(".selectiontype").eq(0).text()
					var types = $(".itemmobile").eq(index).find(".selectiontype").eq(1).attr("uid") == null ? "" : $(".itemmobile").eq(index).find(".selectiontype").eq(1).attr("uid")
					var self = this;
					if(index == 1) {
						urls = 'teacher/bookCity/bookList'
					}
					common.ajax(urls, {
						uid: common.uid,
						token: common.token,
						grade: grad,
						type: types,
						page: temp,
						pageSize: "8"
					}, function(data) {
						if(data.code == 200) {
							if(data.data.hasNextPage) {
								switchs = true
								datafor(data)
								self.endPullUpToRefresh();
							} else {
								if(switchs) {
									datafor(data)
								}
								switchs = false
								self.endPullUpToRefresh()
								$(".mui-pull-loading").text("已经没有更多")
							}
						} else {
							mui.toast(data.message)
						}
					})
				}
			}
		});
	});
});

$(".genre").on("tap", "div", function() {
	var urls = 'teacher/bookCity/recommend'
	bookshelf.trues = []
	bookshelf.booksl = []
	bookshelf.pingfen = []
	var grad = $(this).parents(".itemmobile").find(".selectiontype").eq(0).text() == "全年级" ? "" : $(this).parents(".itemmobile").find(".selectiontype").eq(0).text()
	var types = $(this).parents(".itemmobile").find(".selectiontype").eq(1).attr("uid") == null ? "" : $(this).parents(".itemmobile").find(".selectiontype").eq(1).attr("uid")
	if($(this).parents(".itemmobile").index() == 2) {
		urls = 'teacher/bookCity/bookList'
	}
	common.ajax(urls, {
		uid: common.uid,
		token: common.token,
		grade: grad,
		type: types,
		page: 1,
		pageSize: "8"
	}, function(data) {

		if(data.code == 200) {
			datafor(data)
		} else {
			mui.toast(data.message)
		}
	})
})

function datafor(data) {
	for(var i = 0; i < data.data.list.length; i++) {
		if(String(data.data.list[i].mark).indexOf(".") != -1) {
			bookshelf.trues.push("scoring_two")
		} else {
			bookshelf.trues.push("")
		}
		bookshelf.booksl.push(data.data.list[i])
		bookshelf.pingfen.push(Math.floor(data.data.list[i].mark))
	}
}
var kai = true
$("#mybooks").on("tap", function() {
	books()

})

books()
$("iframe").height($(window).height() - 84)

function books() {
	bookshelf.books = []

	common.ajax("teacher/book/shelf/list", {
		uid: common.uid,
		token: common.token,
		page: "1",
		pageSize: "9"
	}, function(data) {
		if(data.code == 200) {
			if(data.data.list == "") {
				$(".iframe").css("display", "block")
				$(".iframe_main").css("display", "none")
				return
			}
			$(".iframe_main").css("display", "block")
			$(".iframe").css("display", "none")
			bookshelf.books = data.data.list
			if(data.data.hasNextPage) {
				kai = true
				$(".mui-pull-loading").text("上拉显示更多")
			} else {
				kai = false
				$(".mui-pull-loading").text("已经没有更多")
			}
		} else {
			mui.toast(data.message)
		}
	}, "get")
}

var pageSize = 1
mui.ready(function() {
	//循环初始化所有下拉刷新，上拉加载。
	mui.each(document.querySelectorAll('#scroll1 .mui-scroll'), function(index, pullRefreshEl) {
		mui(pullRefreshEl).pullToRefresh({
			down: {
				callback: function() {
					this.endPullUpToRefresh();
				}
			},
			up: {
				callback: function() {
					++pageSize
					var self = this
					common.ajax("teacher/book/shelf/list", {
						uid: common.uid,
						token: common.token,
						page: pageSize,
						pageSize: "9"
					}, function(data) {
						if(data.code == 200) {
							if(data.data.hasNextPage) {
								kai = true
								bookspush(data)
								self.endPullUpToRefresh()
							} else {
								if(kai) {
									bookspush(data)
								}
								kai = false
								self.endPullUpToRefresh()
								$(".mui-pull-loading").text("已经没有更多")
							}
						} else {
							mui.toast(data.message)
						}
					}, "get")
				}
			}
		});
	});
});

function bookspush(data) {
	for(var i = 0; i < data.data.list.length; i++) {
		bookshelf.books.push(data.data.list[i])
	}
}

$(".seach_val").on("focus", function() {
	common.open("../stacks/seach.html", "../stacks/seach.html")
	$(this).blur();
})

function parents() {
	var width = $(window).width()
	var length = $(".mui-control-item").length - 1
	var headwidth = $(".mui-control-item").eq(0).width()
	$(".mui-control-item").eq(length).addClass("mui-active").siblings().removeClass("mui-active")
	$(".mui-slider-group").css("transform", "translate3d(-" + length * width + "px, 0px, 0px)")
	$("#sliderProgressBar").css("transform", "translate3d(" + length * headwidth + "px, 0px, 0px)")
}
