mui.init({
	pullRefresh: {
		container: '#pullrefresh',
		up: {
			contentrefresh: '正在加载...',
			callback: pullupRefresh
		}
	}
});
var temp = 1
var reads = new Vue({
	el: '.rendering',
	data: {
		list: [],
		queryComment: [],
		total: '',
		swith: false,
		foucs: true
	},
	methods: {
		hasLike: function(list) {
			if($(".rendering").attr("readingRecordUid")) {
				common.ajax("teacher/reading/like", {
					uid: common.uid,
					token: common.token,
					readingRecordUid: $(".rendering").attr("readingRecordUid")
				}, function(data) {
					if(data.code == 200) {
						list.hasLike = true
						list.likeCount += 1
					} else {
						mui.toast(data.message)
					}
				})
			}
		}
	}
})
mui.plusReady(function() {
	var self = plus.webview.currentWebview();
	var data = self.parameter;
	//				var data ={
	//				uid:'ea8a7f0eaa164a7e958f65231b3b62b8',
	//				readingRecordUid:"12b29669fb784898baa9cc4c582f8cde",
	//				studentUid:"01d92e4998f74d7b9e2c30fdffeb275e"
	//				}
	$(".rendering").attr("readingRecordUid", data.readingRecordUid)

	common.ajax("teacher/reading/singleStudentDetail", {
		uid: common.uid,
		token: common.token,
		readingPlanCaseUid: data.uid,
		studentUid: data.studentUid
	}, function(data) {
		if(data.code == 200) {
			synchronization(data)
			reads.list = data.data
		} else {
			mui.toast(data.message)
		}
	}, "get")
	refresh()

	function synchronization(data) {
		var time = []
		$.each(data.data.caseTimeList, function(e, a) {
			if(a.length == 4) {
				a = "0" + a
			}
			time.push(a.split(".").join(":") + '.00')
		})

		var temp = ""
		for(var i = 0; i < data.data.caseLycList.length; i++) {
			temp += '[' + time[i] + ']' + data.data.caseLycList[i] + "\n"
		}
		var ap3 = new APlayer({
			element: document.getElementById('player3'),
			narrow: false,
			autoplay: false,
			showlrc: 1,
			mutex: true,
			theme: '#615754',
			preload: 'metadata',
			mode: 'order',
			music: {
				title: data.data.caseName,
				author: '',
				url: data.data.readingUrl,
				pic: '',
				lrc: temp
			}
		});

		$(".playback").on("tap", function() {
			$(this).hide()
			$(".suspend").show()
			$(".backdrop").hide()
			$(".aplayer-controller").css("display", "block !important")
			clearTime = setTimeout(sethide, 3000)
			ap3.play()
			//					sethide()
		})
		var clearTime = ""
		$(".suspend").on("tap", function(e) {
			$(this).hide()
			ap3.pause()
			$(".playback").show()
			$(".backdrop").show()
			$(".aplayer-controller").css("display", "none !important")
			clearTimeout(clearTime)
			e.stopPropagation()
		})
		var kai = false

		$(".aplayer-lrc").on("tap", function() {
			if(kai) {
				$(".suspend").show()
				$(".aplayer-controller").css("display", "block !important")
				kai = false
				clearTime = setTimeout(sethide, 5000)
			} else {
				$(".suspend").hide()
				$(".aplayer-controller").css("display", "none !important")
				kai = true
				clearTimeout(clearTime)
			}
		})
		$(".aplayer-controller").on("tap", function() {
			clearTimeout(clearTime)
			clearTime = setTimeout(sethide, 5000)
		})

		function sethide() {
			$(".suspend").hide()
			$(".aplayer-controller").css("display", "none !important")
			kai = true
		}
		ap3.on('ended', function() {
			$(".suspend").hide()
			$(".playback").show()
			$(".backdrop").show()
			$(".aplayer-controller").css("display", "none !important")
		});

		reads.$nextTick(function() {
			/*$(".praise").on("tap", function() {
				common.ajax("teacher/queryComment", {
					uid: common.uid,
					token: common.token,
					readingRecordUid: data.readingRecordUid
				}, function(data) {
					if(data.code == 200) {
						$(".haslike").css("display", "block")
						$(".praise").css("display", "none")
					} else {
						mui.toast(data.message)
					}
				})
			})*/
		})
	}
})
var setheight = ''
$("input").on("focus", function() {
	setHe()
})

$("input").on("blur", function() {
	clearTimeout(setheight)
})

function setHe() {
	document.body.scrollTop = document.body.scrollHeight
	setheight = setTimeout(setHe, 100)
}

function refresh() {
	if(mui.os.plus) {
		mui.plusReady(function() {
			setTimeout(function() {
				mui('#pullrefresh').pullRefresh().pullupLoading();
			}, 300);

		});
	} else {
		mui.ready(function() {
			mui('#pullrefresh').pullRefresh().pullupLoading();
		});
	}
}

function pullupRefresh() {
	common.ajax("teacher/queryComment", {
		uid: common.uid,
		token: common.token,
		readingRecordUid: $(".rendering").attr("readingRecordUid"),
		page: temp++,
		pageSize: 8
	}, function(data) {
		reads.swith = true
		if(!data.data.hasNextPage) {
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
		} else {
			mui('#pullrefresh').pullRefresh().endPullupToRefresh();
		}
		//					console.log(data)
		reads.total = data.data.total
		for(var i = 0; i < data.data.list.length; i++) {
			reads.queryComment.push(data.data.list[i])
		}
		//					console.log(reads.queryComment)
	}, "get")
}
var swith = false
$(document).on("tap", ".sendout", function() {
	if(swith) {
		return
	}
	if($(".bar_inp").find("input").val().length == 0) {
		return
	}
	if($(".bar_inp").find("input").val().length < 3) {
		mui.toast("不能少于3个字")
		return
	}
	swith = true
	common.ajax("teacher/reading/comment", {
		uid: common.uid,
		token: common.token,
		readingRecordUid: $(".rendering").attr("readingRecordUid"),
		commentContent: $(".bar_inp").find("input").val()
	}, function(data) {
		swith = false
		if(data.code == 200) {
			reads.total += 1
			$(".bar_inp").find("input").val("")
			temp = 1
			reads.queryComment = []
			refresh()
			mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
			mui('#pullrefresh').pullRefresh().refresh(true);
			mui.toast("评论成功")
		} else {
			mui.toast(data.message)
		}
	})
})

function trim(s) {
	return s.replace(/(^\s*)|(\s*$)/g, "");
}