var temp = 1
var classuid = ""
var reading = new Vue({
	el: '.padding',
	data: {
		list: [],
	},
	updated: function() {

	},
	methods: {
		modify: function(list, index) {
			for(var i = 0; i < reading.list.length; i++) {
				if(index != i) {
					reading.list[i].modify = false
					reading.list[i].modifytexts = "修改"
				}
			}
			list.modify = !list.modify
			if(list.modify) {
				list.modifytexts = "确定"
			} else {
				if(list.beginDate >= list.endDate) {
					list.modify = true
					mui.toast("结束时间不能小于开始时间")
					return
				}
				common.ajax('plan/teacher/modify', {
					uid: common.uid,
					token: common.token,
					planUid: list.uid,
					beginDate: list.beginDate,
					endDate: list.endDate
				}, function(data) {
					if(data.code == 200) {
						list.modifytexts = "修改"
					} else {
						list.modify = true
						mui.toast(data.message)
					}
				})

			}
		}
	}
})
$(document).on("tap", ".report", function(e) {
	if(!$(e.target).is('.remove_port') && !$(e.target).is('.remove_portImg') && !$(e.target).is('.modify') && !$(e.target).is('.dates')) {
		var obj = {}
		obj.clsuid = $("#pullrefresh").attr("clsuid")
		obj.planUid = $(this).attr("uid")
		common.open("plandetails.html", "plandetails.html", obj)
	}
})

$(document).on("tap", ".remove_port", function(e) {
	var self = $(this)
	var btnArray = ['是', '否'];
	mui.confirm('确定删除该计划及计划下的阅读数据吗？', '', btnArray, function(e) {
		if(e.index == 0) {
			common.ajax("plan/teacher/delete", {
				uid: common.uid,
				token: common.token,
				planUid: self.parents(".report").attr("uid")
			}, function(data) {
				if(data.code = 200) {
					parent(classuid, true)
				} else {
					mui.toast(data.message)
				}
			})
		}
	})
})

//$(document).on("tap", ".modify", function(e) {
//	var startplanuid = $(this).parents('.report').attr("uid")
//	plus.nativeUI.pickDate(function(e) {
//		var d = e.date;
//	//开始时间
//		var starttime=d.getFullYear() + "-" + buLing(d.getMonth() + 1) + "-" + buLing(d.getDate())
//		
//		console.log(starttime)
//	}, function(e) {
//		
//	}, {
//		title: "请选择开始时间",
//	});
//})

//modify
//console.log(JSON.stringify(common.data))
//parent('d037c6752c4c4ebab092a1896ad48cde')

function parent(uid, kai) {
	console.log(uid)
	temp = 1
	classuid = uid
	reading.list = []
	mui.init({
		pullRefresh: {
			container: '#pullrefresh',
			up: {
				contentrefresh: '正在加载...',
				callback: pullupRefresh
			}
		}
	});
	if(kai) {
		mui('#pullrefresh').pullRefresh().refresh(true)
	}

	function pullupRefresh() {
		//	console.log(uid)
		common.ajax("teacher/plans", {
			uid: common.uid,
			token: common.token,
			classUid: classuid,
			page: temp++,
			pageSize: 4
		}, function(data) {
			if(data.data == null) {
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
				return
			}
			if(data.code == 200) {
				$("#pullrefresh").attr("clsuid", classuid)
				if(!data.data.hasNextPage) {
					mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
				} else {
					mui('#pullrefresh').pullRefresh().endPullupToRefresh(false)
					$(".mui-pull-bottom-pocket.mui-block").css("visibility", "visible");
				}
				for(var i = 0; i < data.data.list.length; i++) {
					data.data.list[i].modify = false
					data.data.list[i].modifytexts = "修改"
					data.data.list[i].beginDate = data.data.list[i].beginDate.substring(0, 10)
					data.data.list[i].endDate = data.data.list[i].endDate.substring(0, 10)
					reading.list.push(data.data.list[i])
				}

				time()
			} else {
				mui.toast(data.message)
			}
		})
	}
	if(mui.os.plus) {
		mui.plusReady(function() {
			setTimeout(function() {
				mui('#pullrefresh').pullRefresh().pullupLoading();
			}, 10);
		});
	} else {
		mui.ready(function() {
			mui('#pullrefresh').pullRefresh().pullupLoading();
		});
	}
}
//function buLing(data) {
//	if(data < 10) {
//		data = "0" + data
//	}
//	return data
//}
function time() {
	$(document).on("tap", ".beginDate", function() {
		var index = $(this).parents(".report").index()
		var optionsJson = this.getAttribute('data-options') || '{}';
		var options = JSON.parse(optionsJson);
		var picker = new mui.DtPicker(options);
		picker.show(function(rs) {
			if(rs.text < getNowFormatDate()) {
				mui.toast("开始不能早于当前时间")
			} else {
				reading.list[index].beginDate = rs.text
				picker.dispose();
			}
		});
	})
	$(document).on("tap", ".endDate", function() {
		var index = $(this).parents(".report").index()
		var optionsJson = this.getAttribute('data-options') || '{}';
		var options = JSON.parse(optionsJson);
		var picker = new mui.DtPicker(options);
		picker.show(function(rs) {
			if(reading.list[index].beginDate >= rs.text) {
				mui.toast("结束时间不能小于开始时间")
			} else {
				reading.list[index].endDate = rs.text
				mui.toast("要点确定才能修改哦")
			}
			picker.dispose();
		});
	})
}

function getNowFormatDate() {
	var date = new Date();
	var seperator1 = "-";
	var year = date.getFullYear();
	var month = date.getMonth() + 1;
	var strDate = date.getDate();
	if(month >= 1 && month <= 9) {
		month = "0" + month;
	}
	if(strDate >= 0 && strDate <= 9) {
		strDate = "0" + strDate;
	}
	var currentdate = year + seperator1 + month + seperator1 + strDate;
	return currentdate;
}