mui.init({
	gestureConfig: {
		longtap: true, //默认为false
	}
});
var bookshelf = new Vue({
	el: '.mybookshelf',
	data: {
		books: [],
		state: localStorage.getItem("state"),
		swith: false
	},
	updated: function() {

	}
});

$(document).on("tap", ".bookdata", function(e) {
	if($(e.target).is(".addbook") || $(e.target).is("button")) {
		return
	}
	if(!$(e.target).is('.remove_text') && !$(e.target).is('.remove')) {
		common.open("../bookdetails/details.html", "../bookdetails/details.html", $(this).attr("bookuid"))
	}
})
$(document).on("longtap", ".bookdata", function() {
	heid()
	$(this).find(".remove").css("display", "block")
	$(this).find(".remove_text").css("display", "block")
})
$(document).on("tap", ".remove_text", function(e) {
	var self = $(this)
	common.ajax("teacher/book/shelf/delete", {
		uid: common.uid,
		token: common.token,
		bookUid: self.parents(".bookdata").attr("bookuid")
	}, function(data) {
		if(data.code == 200) {
			heid()
			self.parents(".bookdata").remove()
			mui.toast("成功删除")
			if($(".bookdata").length == 0) {
				bookshelf.swith = true
			}
		} else {
			mui.toast(data.message)
		}
	})
	e.stopPropagation()
})
$(document).on("tap", ".remove", function(e) {
	heid()
	e.stopPropagation()
})
$("body").on("tap", function() {
	heid()
})

Vue.use(VueLazyload, {
	preLoad: 1.3,
	error: '../../imges/234848834541900358.png',
	loading: '../../imges/234848834541900358.png'
});

function heid() {
	$(".remove").css("display", "none")
	$(".remove_text").css("display", "none")
}

var pageSize = 1
mui.init({
	pullRefresh: {
		container: '#offCanvasContentScroll',
		up: {
			contentrefresh: '正在加载...',
			callback: pullupRefresh
		}
	}
});
/**
 * 上拉加载具体业务实现
 */
function pullupRefresh() {
	var self = this
	common.ajax("teacher/book/shelf/list", {
		uid: common.uid,
		token: common.token,
		page: pageSize++,
		pageSize: "9"
	}, function(data) {
		if(data.code == 200) {
			mui('#offCanvasContentScroll').pullRefresh().refresh(true);
			if(!data.data.hasNextPage) {
				mui('#offCanvasContentScroll').pullRefresh().endPullupToRefresh(true)
			} else {

				mui('#offCanvasContentScroll').pullRefresh().endPullupToRefresh()
			}
			for(var i = 0; i < data.data.list.length; i++) {
				bookshelf.books.push(data.data.list[i])
			}

			bookshelf.$nextTick(function() {
				$(".book").height($(".book").find("img").width() * (16 / 10))
				add()
			})
			if(data.data.list.length == 0) {
				bookshelf.swith = true
			} else {
				bookshelf.swith = false
			}
		} else {
			mui.toast(data.message)
		}
	}, "get")
}

setTimeout(shauxin, 500)

function shauxin() {
	if(mui.os.plus) {
		mui.plusReady(function() {
			mui('#offCanvasContentScroll').pullRefresh().pullupLoading();
		});
	} else {
		mui.ready(function() {
			mui('#offCanvasContentScroll').pullRefresh().pullupLoading();
		});
	}
}
$(document).on("tap", ".addbook button", function() {
	var addbook = JSON.parse(localStorage.getItem('books')) || []
	if($(this).hasClass("mui-btn-outlined")) {
		$(this).text("已添加")
		$(this).removeClass("mui-btn-outlined")
		var obj = {}
		obj.bookid = $(this).parents(".bookdata").attr("bookid")
		obj.booksrc = $(this).parents(".bookdata").find(".book img").attr("src")
		obj.bookname = $(this).parents(".bookdata").find(".bookText span").text()
		addbook.push(obj)
	} else {
		$(this).addClass("mui-btn-outlined")
		$(this).text("添加")
		for(var i = 0; i < addbook.length; i++) {
			if(addbook[i].bookid == $(this).parents(".bookdata").attr("bookid")) {
				addbook.splice(i, 1)
			}
		}
	}
	localStorage.setItem('books', JSON.stringify(addbook))
	mui.fire(plus.webview.getWebviewById("joinreading.html"), 'bookaddnum');
	mui.fire(plus.webview.getWebviewById("addrecommend.html"), 'toggleremoveClass');
	mui.fire(plus.webview.getWebviewById("addnominate.html"), 'toggleremoveClass');
	mui.fire(plus.webview.getWebviewById("addhotbooks.html"), 'toggleremoveClass');
	mui.fire(plus.webview.getWebviewById("addmybookshelf.html"), 'toggleremoveClass');
})

function add() {
	var addbook = JSON.parse(localStorage.getItem('books')) || []
	$('.bookdata').find(".addbook button").text("添加")
	$('.bookdata').find(".addbook button").addClass("mui-btn-outlined")
	$.each(addbook, function(index, id) {
		$.each($(".bookdata"), function(e, i) {
			if($(this).attr("bookid") == id.bookid) {
				$(this).find(".addbook button").text("已添加")
				$(this).find(".addbook button").removeClass("mui-btn-outlined")
			}
		})
	})
}
window.addEventListener('toggleremoveClass', function(e) { //执行刷新
	add()
});