mui.init({
	swipeBack: true //启用右滑关闭功能
});

var addread = new Vue({
	el: '#addread',
	data: {
		category: [],
		categoryGrade: [],
		Grade: "",
		caseForPc: [],
		show: true,
		audiosrc: '',
		historys: 0,
		list: JSON.parse(localStorage.getItem('list')) || []
	},
	methods: {
		playing: function(index, oncaseForPc, ev) {
			var audios = document.getElementById('audio');
			if(oncaseForPc.play == 0) {
				oncaseForPc.play = 1
				oncaseForPc.time = ''
				audios.pause()
			} else {
				addread.caseForPc[addread.historys].time = ''
				addread.caseForPc[addread.historys].play = 1
				oncaseForPc.play = 0
				addread.audiosrc = oncaseForPc.caseUrl
				oncaseForPc.time = oncaseForPc.totalTimeStr
				loadAudio(oncaseForPc.caseUrl, function() {
					audios.play()
				})
			}
			addread.historys = index
			stopBubble(ev)
			//						addread.caseForPc[addread.historys].play = 1
		},
		addread: function(index, caseForPc, ev) {
			if(caseForPc.addto == 1) {
				caseForPc.addto = 0
				addread.list.push(caseForPc)
			} else {
				caseForPc.addto = 1
				for(var i = 0; i < addread.list.length; i++) {
					if(caseForPc.uid == addread.list[i].uid) {
						addread.list.splice(i, 1)
					}
				}
			}
			localStorage.setItem("list", JSON.stringify(addread.list))
		},
		remove: function(caseForPc) {
			for(var i = 0; i < addread.list.length; i++) {
				if(caseForPc.uid == addread.list[i].uid) {
					addread.list.splice(i, 1)
				}
			}
			for(var j = 0; j < addread.caseForPc.length; j++) {
				if(caseForPc.uid == addread.caseForPc[j].uid) {
					addread.caseForPc[j].addto = 1
				}
			}
			$(".added_html").height(addread.list.length * 45)
			localStorage.setItem("list", JSON.stringify(addread.list))
		}
	}
})
common.ajax("teacher/reading/category", {
	uid: common.uid,
	token: common.token
}, function(data) {
	if(data.code == 200) {
		addread.category = data.data
		if(data.data.length <= 3) {
			$(".mui-segmented-control.mui-scroll-wrapper .mui-scroll").css("width", "100%")
		} else {
			$(".mui-segmented-control.mui-scroll-wrapper .mui-scroll").css("width", "auto")
		}
		categoryGrade(data.data[0].readingCategoryName)
	} else {
		mui.toast(data.message)
	}
})
//			common.ajax("teacher/reading/caseForPc", {
//				uid: common.uid,
//				token: common.token,
//				categoryName: "课内朗读"
//			}, function(data) {
//				console.log(data)
//			})

$(document).on("tap", '.mui-control-item', function() {
	if($(this).hasClass("mui-active")) {
		return
	}
	categoryGrade(addread.category[$(this).index()].readingCategoryName)
})

function categoryGrade(category) {
	common.ajax("teacher/reading/categoryGrade", {
		uid: common.uid,
		token: common.token,
		category: category
	}, function(data) {
		if(data.code == 200) {
			if(data.data.length == 0 || data.data[0].categoryGrade == '') {
				$("#menu-btn").hide()
				$(".mui-content").css("padding-top", "44px")
			} else {
				$("#menu-btn").show()
				$(".mui-content").css("padding-top", "80px")
			}
			addread.Grade = data.data[0].categoryGrade
			addread.categoryGrade = data.data
			caseForPc(category, data.data[0].categoryGrade)
			//					console.log(data)
		} else {
			mui.toast(data.message)
		}
	})
}

var mask = mui.createMask(callback)
var kaying = false
$(document).on("tap", ".beenadded", function() {
	if(kaying) {
		mask.close()
		callback()
	} else {
		$(".added_html").height(addread.list.length * 45)
		$(this).addClass("beenaddedshow")
		$(".empty").show()
		kaying = true
		mask.show()
	}

})
$(".empty").on("tap", function() {
	addread.list = []
	for(var i = 0; i < addread.caseForPc.length; i++) {
		addread.caseForPc[i].addto = 1
	}
	localStorage.removeItem('list')
})

function callback() {
	$(".added_html").height(0)
	$('.beenadded').removeClass("beenaddedshow")
	$(".empty").hide()
	kaying = false
}
var menuWrapper = document.getElementById("menu-wrapper");
var menu = document.getElementById("menu");
var menuWrapperClassList = menuWrapper.classList;
var backdrop = document.getElementById("menu-backdrop");
var info = document.getElementById("info");

backdrop.addEventListener('tap', toggleMenu);
document.getElementById("menu-btn").addEventListener('tap', toggleMenu);
//			document.getElementById("icon-menu").addEventListener('tap', toggleMenu)
//下沉菜单中的点击事件
var busying = false;
mui('#menu').on('tap', 'a', function() {
	if(busying) {
		return
	}
	toggleMenu();
	addread.Grade = this.innerText
	caseForPc(addread.category[$(document).find("#slider .mui-active").index()].readingCategoryName, addread.Grade)
});

function caseForPc(categoryName, schoolTerm) {
	mui.plusReady(function() {
		var version
		plus.runtime.getProperty(plus.runtime.appid, function(inf) {
			version = inf.version
		});
		common.ajax("teacher/reading/caseForPc", {
			uid: common.uid,
			token: common.token,
			categoryName: categoryName,
			schoolTerm: schoolTerm,
			version: version
		}, function(data) {
			addread.historys = 0
			if(data.code == 200) {
				for(var i = 0; i < data.data.length; i++) {
					data.data[i].play = 1
					data.data[i].time = ''
					data.data[i].addto = 1
					for(var j = 0; j < addread.list.length; j++) {
						if(data.data[i].uid == addread.list[j].uid) {
							data.data[i].addto = 0
						}
					}
				}
				addread.caseForPc = data.data
				addread.show = data.data.length > 0 ? true : false
			} else {
				mui.toast(data.message)
			}
		})
	})
}
$(".jiaru").on("tap", function() {
	mui.back()
	plus.webview.getWebviewById('../recite/releasereading.html').reload()
})

function toggleMenu() {
	if(busying) {
		return;
	}
	busying = true;
	if(menuWrapperClassList.contains('mui-active')) {
		document.body.classList.remove('menu-open');
		menuWrapper.className = 'menu-wrapper fade-out-up animated';
		menu.className = 'menu bounce-out-up animated';
		setTimeout(function() {
			backdrop.style.opacity = 0;
			menuWrapper.classList.add('hidden');
		}, 500);
	} else {
		document.body.classList.add('menu-open');
		menuWrapper.className = 'menu-wrapper fade-in-down animated mui-active';
		menu.className = 'menu bounce-in-down animated';
		backdrop.style.opacity = 1;
	}
	setTimeout(function() {
		busying = false;
	}, 500);
}

function loadAudio(src, callback) {
	var audio = new Audio(src);
	audio.onloadedmetadata = callback;
	audio.src = src;
}
//事件冒泡
function stopBubble(e) {
	//如果提供了事件对象，则这是一个非IE浏览器
	if(e && e.stopPropagation)
		//因此它支持W3C的stopPropagation()方法
		e.stopPropagation();
	else
		//否则，我们需要使用IE的方式来取消事件冒泡
		window.event.cancelBubble = true;
}